"GL2PS warning: unknown token in buffer" error when using "print" command in octave 4.2.1 w64 in command window

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

"GL2PS warning: unknown token in buffer" error when using "print" command in octave 4.2.1 w64 in command window

Yan Zhang

Hi Folks,

 

After I  downloaded and extracted octave-4.2.1-w64.zip, I tried running plot and print commands in a command windo, but got an error message as shown in attached screenshot:

 

 

The program then hang up with mouse cursor remained flashing. The plot and print commands do work in the GUI mode, though.

 

Since I really need to run octave in command window, could anyone give me a hint about how to fix this?

 

Thanks a lot!

 

 

 

 

Best Regards,

 

Yan


_______________________________________________
Help-octave mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: "GL2PS warning: unknown token in buffer" error when using "print" command in octave 4.2.1 w64 in command window

Pantxo
Yan Zhang wrote

> Hi Folks,
>
> After I  downloaded and extracted octave-4.2.1-w64.zip, I tried running
> plot and print commands in a command windo, but got an error message as
> shown in attached screenshot:
>
> [cid:image001.png@01D3313A.E5D0D8D0]
>
> The program then hang up with mouse cursor remained flashing. The plot and
> print commands do work in the GUI mode, though.
>
> Since I really need to run octave in command window, could anyone give me
> a hint about how to fix this?
>
> Thanks a lot!
>
>
>
>
> Best Regards,
>
> Yan
>
> _______________________________________________
> Help-octave mailing list

> Help-octave@

> https://lists.gnu.org/mailman/listinfo/help-octave
>
>
> image001.png (57K)
> <http://octave.1599824.n4.nabble.com/attachment/4684960/0/image001.png>

Hi,

This is a known, graphics diver dependent, bug on Windows with the fltk
toolkit:

https://savannah.gnu.org/bugs/index.php?47337

The octave-cli.exe program only has fltk and gnuplot toolkits so if you
really need to use the command line you have two options:
* use gnuplot:
    close all; graphics_toolkit ("gnuplot");
* try to figure out if the main Octave executable can be launched with the
"--no-gui" option. I don't know how to do this on Windows but on linux it
would be "octave --no-gui". This wil launch another octave flavor, in
command line but with Qt toolkit enabled.

Pantxo
 



--
Sent from: http://octave.1599824.n4.nabble.com/Octave-General-f1599825.html

_______________________________________________
Help-octave mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

RE: "GL2PS warning: unknown token in buffer" error when using "print" command in octave 4.2.1 w64 in command window

Yan Zhang
Hi Pantxo,

The "gnuplot' solution works. Thanks a lot.

Best Regards,

Yan


-----Original Message-----
From: Help-octave [mailto:help-octave-bounces+yan.zhang=[hidden email]] On Behalf Of Pantxo
Sent: Wednesday, September 20, 2017 1:04 AM
To: [hidden email]
Subject: Re: "GL2PS warning: unknown token in buffer" error when using "print" command in octave 4.2.1 w64 in command window

Yan Zhang wrote

> Hi Folks,
>
> After I  downloaded and extracted octave-4.2.1-w64.zip, I tried
> running plot and print commands in a command windo, but got an error
> message as shown in attached screenshot:
>
> [cid:image001.png@01D3313A.E5D0D8D0]
>
> The program then hang up with mouse cursor remained flashing. The plot
> and print commands do work in the GUI mode, though.
>
> Since I really need to run octave in command window, could anyone give
> me a hint about how to fix this?
>
> Thanks a lot!
>
>
>
>
> Best Regards,
>
> Yan
>
> _______________________________________________
> Help-octave mailing list

> Help-octave@

> https://lists.gnu.org/mailman/listinfo/help-octave
>
>
> image001.png (57K)
> <http://octave.1599824.n4.nabble.com/attachment/4684960/0/image001.
> png>

Hi,

This is a known, graphics diver dependent, bug on Windows with the fltk
toolkit:

https://savannah.gnu.org/bugs/index.php?47337

The octave-cli.exe program only has fltk and gnuplot toolkits so if you really need to use the command line you have two options:
* use gnuplot:
    close all; graphics_toolkit ("gnuplot");
* try to figure out if the main Octave executable can be launched with the "--no-gui" option. I don't know how to do this on Windows but on linux it would be "octave --no-gui". This wil launch another octave flavor, in command line but with Qt toolkit enabled.

Pantxo
 



--
Sent from: http://octave.1599824.n4.nabble.com/Octave-General-f1599825.html

_______________________________________________
Help-octave mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-octave

_______________________________________________
Help-octave mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-octave